{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.security.pass;
in {
  options.modules.security.pass = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    home.programs.password-store = {
      enable = true;
      package = pkgs.pass.withExtensions (exts: [ exts.pass-otp ]);
    };
  };
}